package com.nzwz.serivce;

import com.nzwz.common.response.RestResponse;
import com.nzwz.transfer.synchronization.InitConnectParmCreateInVo;
import com.nzwz.transfer.synchronization.InitConnectParmOutVo;

/**
 * @author Inori
 */
public interface ISynchronizationService {

    /**
     * 开启同步
     *
     * @return 结果
     */
    RestResponse startSynchronization();

    /**
     * 关闭同步
     *
     * @return 结果
     */
    RestResponse turnOffSynchronization();

    /**
     * 查询金蝶配置
     *
     * @return 金蝶配置
     */
    InitConnectParmOutVo initConnectParm();

    /**
     * 保存金蝶配置
     *
     * @param inVo 条件
     * @return 结果
     */
    RestResponse initConnectParmCreate(InitConnectParmCreateInVo inVo);

    /**
     * 同步方法
     */
    void synchronization();

    /**
     * 异常重新同步方法
     */
    void abnormalAgainSynchronization();


}
